> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdcreate.md).

# Dataset$create

### Dataset$<mark style="color:purple;">create</mark>(\*, *public\_access\_level="none", description=NULL*) → self

Creates a new dataset. New datasets only have an unreleased "next" version, and are only visible to dataset editors until they are released.

### **Parameters:**

**`public_access_level` :&#x20;*****str {"none"*****&#x20;|&#x20;*****"overview"*****&#x20;|&#x20;*****"metadata"*****&#x20;|&#x20;*****"sample"*****&#x20;|&#x20;*****"data"}, default "none"***\
Sets the initial public access level of the dataset (the level of access for any user on Redivis), defaulting to the string "none". However, the dataset will only be visible to dataset editors before it is released. Additional access rules for datasets can be defined through the web interface.

**`description` :&#x20;*****str, default NULL***\
The dataset's description, presented as the "Abstract" in the web interface.

### **Returns:**&#x20;

**self (a** [**Dataset**](/api/client-libraries/redivis-r/reference/dataset.md)**)**

### Examples:

{% tabs %}
{% tab title="Create dataset and release a version" %}

```r
dataset <- redivis$user("my_username")$dataset("My dataset")
dataset$create(description="This is a test dataset")

# Support for uploading data is coming soon. See python library for alternatives.
    
dataset$release()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdcreate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
